Loading...
Searching...
No Matches
Electrostatic energy
Molecular Modeling » Energy evaluation (non-MM)

## Functions

BALL_EXPORT double | BALL::calculateCoulomb (const AtomContainer &atoms)
BALL_EXPORT double | BALL::calculateDistanceCoulomb (const AtomContainer &fragment)

## Detailed Description

## Function Documentation

## calculateCoulomb()

BALL_EXPORT double BALL::calculateCoulomb | ( | const AtomContainer & | atoms | ) |

Returns the electrostatic (self) energy of a molecular system. Units are kJ/mol. Charges have to be assigned to each atom prior to a call to calculateCoulomb()

See also
  Atom::setCharge
  AssignChargeProcessor

## calculateDistanceCoulomb()

BALL_EXPORT double BALL::calculateDistanceCoulomb | ( | const AtomContainer & | fragment | ) |

Returns the electrostatic (self) energy of a molecular system. Units are kJ/mol. Charges have to be assigned to each atom prior to a call to calculateDistanceCoulomb. Dielectric constant is calculated as follows:

See also
  Atom::setCharge
  AssignChargeProcessor